org.springframework.data.repository.util

## Enum ReactiveWrappers.ReactiveLibrary

- java.lang.Object
- - java.lang.Enum<ReactiveWrappers.ReactiveLibrary>
  - - org.springframework.data.repository.util.ReactiveWrappers.ReactiveLibrary

All Implemented Interfaces:
  Serializable, Comparable<ReactiveWrappers.ReactiveLibrary>

Enclosing class:
  ReactiveWrappers

    public static enum ReactiveWrappers.ReactiveLibrary
    extends Enum<ReactiveWrappers.ReactiveLibrary>

Enumeration of supported reactive libraries.

Author:
  Mark Paluch

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`KOTLIN_COROUTINES`
`PROJECT_REACTOR`
`RXJAVA1` Deprecated. since 2.4, use RxJava 2 or 3 instead.
`RXJAVA2`
`RXJAVA3`

### Method Summary

All Methods Static Methods Concrete Methods
`static ReactiveWrappers.ReactiveLibrary` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ReactiveWrappers.ReactiveLibrary[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PROJECT_REACTOR

    public static final ReactiveWrappers.ReactiveLibrary PROJECT_REACTOR

#### RXJAVA1

    @Deprecated
    public static final ReactiveWrappers.ReactiveLibrary RXJAVA1

Deprecated. since 2.4, use RxJava 2 or 3 instead.

#### RXJAVA2

    public static final ReactiveWrappers.ReactiveLibrary RXJAVA2

#### RXJAVA3

    public static final ReactiveWrappers.ReactiveLibrary RXJAVA3

#### KOTLIN_COROUTINES

    public static final ReactiveWrappers.ReactiveLibrary KOTLIN_COROUTINES

### Method Detail

#### values

    public static ReactiveWrappers.ReactiveLibrary[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ReactiveWrappers.ReactiveLibrary c : ReactiveWrappers.ReactiveLibrary.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ReactiveWrappers.ReactiveLibrary valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null